<?php

namespace GriffinForms\Admin\Language;

class InputField extends \GriffinForms\Admin\Language\Field
{
    private static $instance;
    
    protected function headingCreateInputText()
    {
        return __('New Text Field', 'griffinforms-form-builder');
    }
    
    protected function headingCreateInputNumber()
    {
        return __('New Number Field', 'griffinforms-form-builder');
    }
    
    protected function sizeLabel()
    {
        return __('Size', 'griffinforms-form-builder');
    }
    
    protected function placeholderLabel()
    {
        return __('Placeholder', 'griffinforms-form-builder');
    }
    
    protected function autocompleteLabel()
    {
        return __('Allow Browser Autocomplete', 'griffinforms-form-builder');
    }
    
    protected function minValueLabel()
    {
        return __('Lower Value', 'griffinforms-form-builder');
    }
    
    protected function maxValueLabel()
    {
        return __('Upper Value', 'griffinforms-form-builder');
    }
    
    protected function stepLabel()
    {
        return __('Step', 'griffinforms-form-builder');
    }
    
    public static function getInstance()
    {
        if (self::$instance == null)
        {
            self::$instance = new InputField();
        }
        
        return self::$instance;
    }
    
    private function __construct() 
    {
    }
}